# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Summary:    Quick creation of patches against a project source tree
Name:       patcher
Version:    0.6
Release:    alt1_7
Group:      Development/Tools
License:    GPLv2+
Url:        http://labix.org/patcher
Source0:    http://labix.org/download/patcher/%{name}-%{version}.tar.bz2
# (misc) patch sent to upstream by mail on 12/01/2009
# the patch silence warnings on python 2.6
Patch0:     patcher-0.6-python26.patch

BuildRequires: python-devel
BuildArch:     noarch
Source44: import.info
%description
Patcher is a tool for quick creation of patches against a project source tree.
Patcher functionality resembles a lightweight version control system.
It has no repository, and only controls differences between a pristine version
and a working copy.

%prep
%setup -q
%patch0 -p0
# remove rpmlint warning
%{__sed} -i -e 's|^#!/usr/bin/python.*||' patcher/{commands/,}*.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc LICENSE README
%{_bindir}/ptr
%python_sitelibdir_noarch/%{name}/
%python_sitelibdir_noarch/*.egg-info

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_7
- initial fc import

